%% Detekce cév s vyuzitim vsech vytvorenych projekci
    
cevicky=projekce2Dminima+projekce2Dmaxima+projekce2Dprumer+projekce2Dmedian;
imtool(cevicky)                           % zobrazení 

%%S filtrací pozadí
cevicky_pozadi = medfilt1(cevicky,600);   % medianova filtrace, pro odstraneni slozky z pozadi
cevicky = cevicky - cevicky_pozadi;       % odectene slozky pozadi                 
cevicky_inv = -3*medfilt1(cevicky,20);    % medianova filtrace pro vyhlazeni, inverze
imtool(cevicky_inv)                       % zobrazení detekce cév
        
        